SoVectorizePSAction(3)

NAME
SoVectorizePSAction - The SoVectorizePSAction class is used for rendering to a PostScript file.

SYNOPSIS

#include <Inventor/annex/HardCopy/SoVectorizePSAction.h>

Inherits SoVectorizeAction.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVectorizePSAction (void)
virtual ~SoVectorizePSAction ()
void setDefault2DFont (const SbString &fontname)
const SbString & getDefault2DFont (void) const
void setGouraudThreshold (const double eps)
SoPSVectorOutput * getOutput (void) const
SoPSVectorOutput * getPSOutput (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void addMethod (const SoType type, SoActionMethod method)
static void enableElement (const SoType type, const int stackindex)
static void initClass (void)

  Protected Member Functions
virtual const SoEnabledElementsList & getEnabledElements (void) const
virtual void printHeader (void) const
virtual void printFooter (void) const
virtual void printBackground (void) const
virtual void printItem (const SoVectorizeItem *item) const
virtual void printViewport (void) const

  Static Protected Member Functions
static SoEnabledElementsList * getClassEnabledElements (void)
static SoActionMethodList * getClassActionMethods (void)

  Additional Inherited Members

Detailed Description

The SoVectorizePSAction class is used for rendering to a PostScript file.

Since
    Coin 2.1

    TGS provides HardCopy support as a separate extension for TGS Inventor.

Constructor & Destructor Documentation

  SoVectorizePSAction::SoVectorizePSAction (void)
Default constructor.

  SoVectorizePSAction::~SoVectorizePSAction () [virtual]
Default destructor.

Member Function Documentation

  SoType SoVectorizePSAction::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoAction. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVectorizeAction.

  SoType SoVectorizePSAction::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  void SoVectorizePSAction::addMethod (const SoType type, SoActionMethod method) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

  void SoVectorizePSAction::enableElement (const SoType type, const int stackindex) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

  const SoEnabledElementsList & SoVectorizePSAction::getEnabledElements (void) const [protected], [virtual]
Returns list of enabled elements.

Reimplemented from SoVectorizeAction.

  SoEnabledElementsList * SoVectorizePSAction::getClassEnabledElements (void) [static], [protected]
Returns list of enabled elements for this class. The enabledElements and methods variables are protected in the original OIV API. This is not such a good idea, since exposed static class member variables is a major grievance with regard to Win32 DLLs. This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

  SoActionMethodList * SoVectorizePSAction::getClassActionMethods (void) [static], [protected]
Returns list of action methods for this class. The enabledElements and methods variables are protected in the original OIV API. This is not such a good idea, since exposed static class member variables is a major grievance with regard to Win32 DLLs. This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

  void SoVectorizePSAction::initClass (void) [static]
Initializes the runtime type system for this class, and sets up the enabled elements and action method list.

  void SoVectorizePSAction::setDefault2DFont (const SbString & fontname)
Sets the default font name. This font will be used for rendering Text2-nodes which have no Font-nodes preceding them. The default value is 'Courier'.

  const SbString & SoVectorizePSAction::getDefault2DFont (void) const
Returns the default font name.

See also
    setDefault2DFont()

  void SoVectorizePSAction::setGouraudThreshold (const double eps)
Sets the Gouraud shading threshold. A threshold of 0.0 will disable Gouraud shading. A smaller value will yield more accurate Gouraud shading. Default is 0.1.

Since the PostScript language has no support for Gouraud shaded triangles, each triangle will be split into subtriangles approximately of size eps PostScript units. One PostScript unit is approximately 1/72 inch.

  SoPSVectorOutput * SoVectorizePSAction::getOutput (void) const
Returns the SoPSVectorOutput used by this instance.

  SoPSVectorOutput * SoVectorizePSAction::getPSOutput (void) const
Returns the SoPSVectorOutput used by this instance. Provided for API compatibility with TGS HardCopy support.

  void SoVectorizePSAction::printHeader (void) const [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoVectorizeAction.

  void SoVectorizePSAction::printFooter (void) const [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Should be overridden by subclasses to print file footer data.

Reimplemented from SoVectorizeAction.

  void SoVectorizePSAction::printBackground (void) const [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Should be overridden by subclasses to print background data.

Reimplemented from SoVectorizeAction.

  void SoVectorizePSAction::printItem (const SoVectorizeItem * item) const [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Should be overridden by subclasses to print an item.

Implements SoVectorizeAction.

  void SoVectorizePSAction::printViewport (void) const [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Should be overridden by subclasses to set up the current page viewport.

Reimplemented from SoVectorizeAction.

Author

Generated automatically by Doxygen for Coin from the source code.